import { ExtensionType } from '../../../../extensions/Extensions';
import type { System } from '../../shared/system/System';
import type { GPU } from '../GpuDeviceSystem';
import type { GpuProgram } from './GpuProgram';
export declare class GpuShaderSystem implements System {
    /** @ignore */
    static extension: {
        readonly type: readonly [ExtensionType.WebGPUSystem];
        readonly name: "shader";
    };
    private _gpu;
    protected contextChange(gpu: GPU): void;
    createProgramLayout(program: GpuProgram): void;
    destroy(): void;
}
